lifted-base-0.2.3.12: lifted IO operations from the base library

Copyright | Liyang HU Bas van Dijk
License | BSD-style
Maintainer | Bas van Dijk <v.dijk.bas@gmail.com>
Stability | experimental
Safe Haskell | Safe
Language | Haskell98

Control.Concurrent.QSem.Lifted

Description

This is a wrapped version of Control.Concurrent.QSem with types generalised from `IO` to all monads in `MonadBase`.

Synopsis

- data QSem
- newQSem :: MonadBase IO m => Int -> m QSem
- waitQSem :: MonadBase IO m => QSem -> m ()
- signalQSem :: MonadBase IO m => QSem -> m ()

# Documentation

data QSem #

newQSem :: MonadBase IO m => Int -> m QSem Source #

Generalized version of `newQSem`.

waitQSem :: MonadBase IO m => QSem -> m () Source #

Generalized version of `waitQSem`.

signalQSem :: MonadBase IO m => QSem -> m () Source #

Generalized version of `signalQSem`.